Upload Attachments
curl --request PUT \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}/attachments \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"attachments": [
"<string>"
],
"examFiles": [
"<string>"
]
}
'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}/attachments"
payload = {
"attachments": ["<string>"],
"examFiles": ["<string>"]
}
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({attachments: ['<string>'], examFiles: ['<string>']})
};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Exam Configuration
Upload Attachments
Uploads exam file attachments (e.g., exam papers, instruction sheets) via multipart/form-data.
Accepts up to 5 attachment files or 1 exam file per request.
PUT
/
v1
/
installs
/
{installSid}
/
courses
/
{courseSid}
/
exams
/
{examSid}
/
configurations
/
{examConfigurationSid}
/
attachments
Upload Attachments
Authorizations
Path Parameters
Application install sid
Pattern:
^AI[a-f0-9]{32}$Course Sid
Pattern:
^CU[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Exam Configuration sid
Pattern:
^EC[a-f0-9]{32}$Body
application/json
Response
default - application/json
Successful
The response is of type string.
Was this page helpful?
⌘I
